let
    defaultBrowser = "io.gitlab.librewolf-community.desktop";
    defaultFileManager = "ranger.desktop";
in {
    xdg = {
        enable = true;
        mimeApps = {
            enable = true;
            defaultApplications = {
                # Default web browser.
                "text/html" = defaultBrowser;
                "x-scheme-handler/http" = defaultBrowser;
                "x-scheme-handler/https" = defaultBrowser;
                "x-scheme-handler/about" = defaultBrowser;
                "x-scheme-handler/unknown" = defaultBrowser;

                # Default file manager.
                "inode/directory" = defaultFileManager;
            };
        };
    };
}